Subject: system() call behaviour.
From: [email-masked] (Dan Paslawski)

8 May 1998 01:29:23 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Cygnus Request'" <[email-masked]>
Cc: "'Us'" <[email-masked]>

I have an application which performs a sort on a datafile using system utilities
(via the function "system()").

	void sort_data(char *fname)

	char *command = new char[MAX_SIZE];

	sprintf(command, "cp %s %s.BAK", fname, fname);
	ercode = system(command);
	if (ercode == 0)
	{
		sprintf(command, "/bin/sort -n +1 -T . %s.BAK > %s", fname, fname);
		ercode = system(command);
	}	

	if (ercode != 0) printf("Error %d returned by system()\n", ercode);

When running this under the Cygwin Bash environment, this code works properly.  However,
if I run the code in a Windows NT Command Prompt Window (or an MS_DOS Window under
Windows 95),  the calls to system() fail.  I have also tried this segment of code with other 
commands (eg. dir, copy, mspaint), with the same results.

Any suggestions?

Dan
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".